imagecreatefromgd2
imagecreatefromgd
GD and Image Functions
PHP Manual

# imagecreatefromgd2part

(PHP 4 >= 4.0.7, PHP 5, PHP 7)

imagecreatefromgd2part — Create a new image from a given part of GD2 file or URL

### Description

resource imagecreatefromgd2part ( string `$filename` , int `$srcX` , int `$srcY` , int `$width` , int `$height` )

Create a new image from a given part of GD2 file or URL.

Tip

A URL can be used as a filename with this function if the fopen wrappers have been enabled. See fopen() for more details on how to specify the filename. See the Supported Protocols and Wrappers for links to information about what abilities the various wrappers have, notes on their usage, and information on any predefined variables they may provide.

### Parameters

`filename`

  Path to the GD2 image.

`srcX`

  x-coordinate of source point.

`srcY`

  y-coordinate of source point.

`width`

  Source width.

`height`

  Source height.

### Return Values

Returns an image resource identifier on success, `FALSE` on errors.

### Examples

Example #1 imagecreatefromgd2part() example

`<?php
// For this example we need the image size before
$image = getimagesize('./test.gd2');
// Create the image instance now we got the image
// sizes
$im = imagecreatefromgd2part('./test.gd2', 4, 4, ($image[0] / 2) - 6, ($image[1] / 2) - 6);
// Do an image operation, in this case we emboss the
// image if PHP 5+
if(function_exists('imagefilter'))
{
imagefilter($im, IMG_FILTER_EMBOSS);
}
// Save optimized image
imagegd2($im, './test_emboss.gd2');
imagedestroy($im);
?>`

### Notes

> Note: This function requires GD 2.0.1 or later (2.0.28 or later is recommended).

imagecreatefromgd2
imagecreatefromgd
GD and Image Functions
PHP Manual